Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlError.ErrorType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlError.ErrorType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlError

    public static final class QSqlError.ErrorType

extends java.lang.Enum
implements QtEnumerator

This enum type describes the context in which the error occurred, e.g., a connection error, a statement error, etc.

See Also:
  Serialized Form

Field Summary
`static QSqlError.ErrorType` | `ConnectionError` Connection error.
`static QSqlError.ErrorType` | `NoError` No error occurred.
`static QSqlError.ErrorType` | `StatementError` SQL statement syntax error.
`static QSqlError.ErrorType` | `TransactionError` Transaction failed error.
`static QSqlError.ErrorType` | `UnknownError` Unknown error.

Method Summary
`static QSqlError.ErrorType` | `resolve(int value)` Returns the QSqlError$ErrorType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlError.ErrorType` | `valueOf(java.lang.String name)`
`static QSqlError.ErrorType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QSqlError.ErrorType NoError

  No error occurred.

### ConnectionError

    public static final QSqlError.ErrorType ConnectionError

  Connection error.

### StatementError

    public static final QSqlError.ErrorType StatementError

  SQL statement syntax error.

### TransactionError

    public static final QSqlError.ErrorType TransactionError

  Transaction failed error.

### UnknownError

    public static final QSqlError.ErrorType UnknownError

  Unknown error.

Method Detail

### values

    public static QSqlError.ErrorType[] values()

### valueOf

    public static QSqlError.ErrorType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlError.ErrorType resolve(int value)

  Returns the QSqlError$ErrorType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD